Limerence
Shortcuts

Reorder Agent Shortcuts

Reorder shortcuts for an agent

PATCH
/shortcuts/{agentId}/reorder

Reorder shortcuts for an agent

Authorization

X-API-Key<token>

Use X-API-Key: .

In: header

Path Parameters

agentId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/shortcuts/string/reorder" \  -H "Content-Type: application/json" \  -d '{    "shortcutIds": [      "string"    ]  }'
[  {    "agentId": "string",    "createdAt": "string",    "description": null,    "disableModelInvocation": true,    "icon": null,    "id": "string",    "immediate": true,    "integrations": "string",    "name": "string",    "prefix": "string",    "prompt": "string",    "sortOrder": 0,    "updatedAt": "string",    "userInvokable": true,    "visibility": "string"  }]
{  "cause": {    "code": "api/invalid-json",    "detail": "string"  },  "message": "The request body is not valid JSON"}
{  "cause": {    "code": "auth/jwt-invalid",    "detail": "malformed"  },  "message": "Token verification failed"}
{  "cause": {    "code": "api/no-active-team",    "detail": "You must have an active team. Please select a team to continue."  },  "message": "No active team"}
{  "cause": {    "code": "api/unsupported-media-type",    "detail": "GET requests cannot have a content type header"  },  "message": "Unsupported Media Type"}